OpenJPH: ojph::raw_out Class Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::raw_out Class Reference

`#include <ojph_img_io.h>`

Inheritance diagram for ojph::raw_out:

## Public Member Functions
| raw_out ()
virtual | ~raw_out ()
void | open (char *filename)
void | configure (bool is_signed, ui32 bit_depth, ui32 width)
virtual ui32 | write (const line_buf *line, ui32 comp_num=0)
virtual void | close ()
Public Member Functions inherited from ojph::image_out_base
virtual | ~image_out_base ()

## Private Attributes
FILE * | fh
const char * | fname
bool | is_signed
ui32 | bit_depth
ui32 | bytes_per_sample
si64 | lower_val
si64 | upper_val
ui32 | width
ui8 * | buffer
ui32 | buffer_size

## Detailed Description

Definition at line 741 of file ojph_img_io.h.

## Constructor & Destructor Documentation

## ◆ raw_out()

ojph::raw_out::raw_out | ( |  | ) |
| inline

Definition at line 744 of file ojph_img_io.h.

References bit_depth, buffer, buffer_size, bytes_per_sample, fh, fname, is_signed, lower_val, upper_val, and width.

## ◆ ~raw_out()

ojph::raw_out::~raw_out | ( |  | ) |
| virtual

Definition at line 1635 of file ojph_img_io.cpp.

References buffer, buffer_size, and close().

## Member Function Documentation

## ◆ close()

virtual void ojph::raw_out::close | ( |  | ) |
| inlinevirtual

Reimplemented from ojph::image_out_base.

Definition at line 760 of file ojph_img_io.h.

References fh, and fname.

Referenced by ~raw_out().

## ◆ configure()

void ojph::raw_out::configure | ( | bool | is_signed,
|  | ui32 | bit_depth,
|  | ui32 | width )

Definition at line 1657 of file ojph_img_io.cpp.

References bit_depth, buffer, buffer_size, bytes_per_sample, fh, is_signed, lower_val, upper_val, and width.

Referenced by main().

## ◆ open()

void ojph::raw_out::open | ( | char * | filename | ) |

Definition at line 1647 of file ojph_img_io.cpp.

References fh, fname, and OJPH_ERROR.

Referenced by main().

## ◆ write()

ui32 ojph::raw_out::write | ( | const line_buf * | line,
|  | ui32 | comp_num = 0 )
| virtual

Implements ojph::image_out_base.

Definition at line 1678 of file ojph_img_io.cpp.

References buffer, bytes_per_sample, fh, fname, ojph::line_buf::i32, is_signed, lower_val, OJPH_ERROR, ojph_unused, ojph::swap_bytes_if_be(), upper_val, and width.

## Member Data Documentation

## ◆ bit_depth

ui32 ojph::raw_out::bit_depth
| private

Definition at line 766 of file ojph_img_io.h.

Referenced by configure(), and raw_out().

## ◆ buffer

ui8* ojph::raw_out::buffer
| private

Definition at line 769 of file ojph_img_io.h.

Referenced by configure(), raw_out(), write(), and ~raw_out().

## ◆ buffer_size

ui32 ojph::raw_out::buffer_size
| private

Definition at line 770 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and ~raw_out().

## ◆ bytes_per_sample

ui32 ojph::raw_out::bytes_per_sample
| private

Definition at line 766 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and write().

## ◆ fh

FILE* ojph::raw_out::fh
| private

Definition at line 763 of file ojph_img_io.h.

Referenced by close(), configure(), open(), raw_out(), and write().

## ◆ fname

const char* ojph::raw_out::fname
| private

Definition at line 764 of file ojph_img_io.h.

Referenced by close(), open(), raw_out(), and write().

## ◆ is_signed

bool ojph::raw_out::is_signed
| private

Definition at line 765 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and write().

## ◆ lower_val

si64 ojph::raw_out::lower_val
| private

Definition at line 767 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and write().

## ◆ upper_val

si64 ojph::raw_out::upper_val
| private

Definition at line 767 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and write().

## ◆ width

ui32 ojph::raw_out::width
| private

Definition at line 768 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and write().

The documentation for this class was generated from the following files:

- /build/openjph/src/OpenJPH/src/apps/common/ojph_img_io.h
- /build/openjph/src/OpenJPH/src/apps/others/ojph_img_io.cpp